### Method

# FwupdPlugin Efivars get_names

#### Declaration [src]

    GPtrArray*
    fu_efivars_get_names (
      FuEfivars* self,
      const gchar* guid,
      GError** error
    )

#### Description [src]

Gets the list of names where the GUID matches. An error is set if there are no names matching the GUID.

Available since: | 2.0.0

#### Parameters

`guid` | `const gchar*`
| Globally unique identifier.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `utf8`
| Array of names.
| The caller of the method takes ownership of the data container, but not the data inside it.
| Each element is a NUL terminated UTF-8 string.